
Ryzom - Bug # 146

Status: Rejected Priority: Low
Author: kervala Category: Build
Created: 10/03/2008 Assignee:
Updated: 09/30/2010 Due date:
Subject: Add new checks for libs for automake
Description

Configure doesn't check for some libs, so there are some errors with make.

History
#1 - 10/03/2008 10:57 pm - kervala

Need to check for :

- xorg-dev

#2 - 10/20/2008 05:35 pm - Spex

Actually it's not xorg-dev, but a set of different libraries, namely a subset of the X extension libraries (GLX and XVid86Mode currently, no idea about
the input stuff).

Another note: It should be integrated into the cmake build system as well.

#3 - 10/20/2008 05:40 pm - kervala

Yes, but under Hardy (or Gutsy ? :p), when I only installed required headers, it didn't create all links to the correct .so, so Matt suggested to install
xorg-dev meta-package to fix the problem.

Perhaps is it fixed, now ?

We could check this :)

#4 - 10/20/2008 06:09 pm - Spex

kervala wrote:

Yes, but under Hardy (or Gutsy ? :p), when I only installed required headers, it didn't create all links to the correct .so, so Matt suggested to install
xorg-dev meta-package to fix the problem.

You don't check against the Ubuntu packages, but against specific headers / libraries. How you install these on a specific Linux distribution is not the
concern of the cmake/configure check scripts :-)

#5 - 05/28/2009 02:55 pm - sfb
Since we're trying to move to CMake (and getting there slowly) is this still even necessary?

#6 - 08/11/2009 02:52 pm - sfb
- Status changed from New to Rejected

I don't see any related commits or any recent comments. I'm just going to reject this - we should start using CMake anyway.

#7 - 08/17/2009 01:56 pm - Spex

sfb wrote:

I don't see any related commits or any recent comments. I'm just going to reject this - we should start using CMake anyway.

We should have a complete set of checks against all required libraries either way, no matter if autotools or cmake is used. We could rely on "implied"
dependencies (i.e. library X implies that library Y is present, so no need to check for Y then). I think it's best to check for everything we use directly in
code. For example with Unix systems we rely on certain Xlib calls, thus we have to check for X11/Xlib to define the dependency (and also make sure
it's present at least at build time).

#8 - 08/17/2009 09:11 pm - sfb

That's fine - I just think that updating the autotools environment is so much wasted effort in the long run. We should open up more directed issues
about specific problems or else its too easy to fix what's not broken due to lack of direction.

So if there's a specific check that is incorrect let us please open a ticket for that specific library check.

#9 - 08/17/2009 11:53 pm - Spex

sfb wrote:

That's fine - I just think that updating the autotools environment is so much wasted effort in the long run. We should open up more directed issues
about specific problems or else its too easy to fix what's not broken due to lack of direction.

So if there's a specific check that is incorrect let us please open a ticket for that specific library check.

Agreed and agreed. I guess it's not possible to get rid of autotools, yet?

#10 - 08/18/2009 01:53 pm - sfb

Correct, the Ryzom team still uses autotools to build their Linux servers, if I recall correctly. As soon as they're using CMake (at least for Linux builds)
we can eliminate autotools.

#11 - 09/29/2010 09:24 pm - kervala
- Project changed from NeL to Ryzom
- Category changed from Build to Build
- Target version deleted (Version 0.7.0)

#12 - 09/30/2010 11:36 am - kervala
- Target version set to Version 0.7.0
